// EditLinesDialog.cpp : implementation file
//

#include "stdafx.h"
#include "diary.h"
#include "EditLinesDialog.h"


// SEditLinesDialog dialog

IMPLEMENT_DYNAMIC(SEditLinesDialog, CDialog)

SEditLinesDialog::SEditLinesDialog(CWnd* pParent /*=NULL*/)
	: CDialog(SEditLinesDialog::IDD, pParent),
	  ivTextLine("")
{

}

SEditLinesDialog::~SEditLinesDialog()
{
}

void SEditLinesDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_RICHEDIT_LINES, ivRichEditCtrl);
}

void SEditLinesDialog::SetLine(CString &pLine)
{
	ivTextLine = pLine.GetBuffer();
	ivTextLine.Replace("|", "\r\n");
}

CString SEditLinesDialog::GetLine()
{
	ivTextLine.Replace("\r\n", "|");
	return ivTextLine;
}

BOOL SEditLinesDialog::OnInitDialog(void)
{
    BOOL lRetCode = CDialog::OnInitDialog();
	ivRichEditCtrl.SetWindowText(ivTextLine);
	return lRetCode;
}

BEGIN_MESSAGE_MAP(SEditLinesDialog, CDialog)
	ON_BN_CLICKED(IDOK, &SEditLinesDialog::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &SEditLinesDialog::OnBnClickedCancel)
END_MESSAGE_MAP()


// SEditLinesDialog message handlers

void SEditLinesDialog::OnBnClickedOk()
{
	// TODO: Add your control notification handler code here
	ivRichEditCtrl.GetWindowText(ivTextLine);
	OnOK();
}

void SEditLinesDialog::OnBnClickedCancel()
{
	// TODO: Add your control notification handler code here
	OnCancel();
}
